/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import * as tslib_1 from "tslib";
import { WebDockManagerPaneDescription } from "./WebDockManagerPaneDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var WebDocumentHostDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    tslib_1.__extends(WebDocumentHostDescription, _super);
    function WebDocumentHostDescription() {
        var _this = _super.call(this) || this;
        _this.q = null;
        _this.r = null;
        _this.k = null;
        _this.n = 0;
        return _this;
    }
    WebDocumentHostDescription.prototype.get_type = function () {
        return "WebDocumentHost";
    };
    Object.defineProperty(WebDocumentHostDescription.prototype, "id", {
        get: function () {
            return this.q;
        },
        set: function (a) {
            this.q = a;
            this.e("Id");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebDocumentHostDescription.prototype, "paneType", {
        get: function () {
            return this.r;
        },
        set: function (a) {
            this.r = a;
            this.e("PaneType");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebDocumentHostDescription.prototype, "rootPane", {
        get: function () {
            return this.k;
        },
        set: function (a) {
            this.k = a;
            this.e("RootPane");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(WebDocumentHostDescription.prototype, "size", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.e("Size");
        },
        enumerable: true,
        configurable: true
    });
    WebDocumentHostDescription.$t = markType(WebDocumentHostDescription, 'WebDocumentHostDescription', WebDockManagerPaneDescription.$);
    WebDocumentHostDescription.__marshalByValue1 = true;
    WebDocumentHostDescription.__marshalByValueAlias1 = "DocumentHost";
    return WebDocumentHostDescription;
}(WebDockManagerPaneDescription));
export { WebDocumentHostDescription };
